import React from 'react'

class Login extends React.Component {
  constructor () {
    super()
    this.state = {
      user: '',
      password: ''
    }
    this.login = this.login.bind(this)
    this.changeState = this.changeState.bind(this)
  }

  login (event) {
    event.preventDefault()
    Auth.login(this.state.user, this.state.password)
      .catch((error) => {
        console.log('Login error:', error)
      })
  }

  changeState (event) {
    this.state[event.target.name] = event.target.value
  }

  render () {
    return (
      <form action='' role='form'>
        <div className='form-group'>
          <input type='text' name='user' value={this.state.user} onChange={this.changeState} placeholder='Username' />
          <input type='password' name='password' value={this.state.password} onChange={this.changeState} placeholder='Password' />
          <button type='submit' onClick={this.login}>Submit</button>
        </div>
      </form>
    )
  }
}

export default Login
